# -*- coding: utf-8; mode: rpm-spec -*-
# $Id: emacs-cedet.spec,v 1.4 2006/09/24 15:57:03 eugene Exp $

%define speedbar_version 1.0.1
%define cedet_version 1.0
%define SubVer pre4

Version: %cedet_version
Release: alt0.10.%SubVer
Name: emacs-cedet
License: GPL
Group: Editors
Url: http://cedet.sourceforge.net
Summary: CEDET - Collection of Emacs Development Enviromnent Tools

Packager: Emacs Maintainers Team <emacs@packages.altlinux.org>

Requires: emacs-common
Source: cedet-%cedet_version%SubVer.tar.gz
Source1: cedet-emacs.el

# speedbar version fixed
# Patch0: %name-1.0beta3b-no_check_sb_version.patch
# Fixed in upstream
# Patch1: %name-1.0beta3b-idle-schedule_fix.patch

BuildPreReq: emacs22-X11-athena

BuildArch: noarch
Requires: emacs-speedbar >= %speedbar_version
Provides: emacs-eieio
Provides: emacs-semantic
Provides: emacs-cogre
Provides: emacs-ede
Obsoletes: emacs-eieio
Obsoletes: emacs-semantic
Obsoletes: emacs-ede

BuildRequires: emacs-common emacs-devel

%description
CEDET - Collection of Emacs Development Enviromnent Tools

CEDET is a top-level project containing several individual package for Emacs,
including:
   EIEIO - CLOS layer for Emacs Lisp
   Semantic - Parser Infrastructure for Emacs
   Speedbar - Everything browser
   EDE - File manager/ Makefile generator
   COGRE - Connected Graph Editor

%package speedbar
Version: %speedbar_version
Summary: Speedbar package for Emacs
Group: Editors
Requires: emacs-cedet = %cedet_version-%release
Provides: emacs-speedbar = %speedbar_version
Obsoletes: emacs-speedbar
Obsoletes: emacs22-speedbar < %speedbar_version
Provides: emacs22-speedbar = %speedbar_version-%release

%description speedbar
CEDET - Collection of Emacs Development Enviromnent Tools

This package contains speedbar - everything browser


%prep
%setup -q -n cedet-%cedet_version%SubVer
# speedbar version fixed
# %patch0 -p1
# Fixed in upstream
# %patch1 -p1

%build
make

%install
mkdir -p %buildroot%_emacslispdir/cedet/common/icons
mkdir -p %buildroot%_emacslispdir/cedet/ede
mkdir -p %buildroot%_emacslispdir/speedbar
mkdir -p %buildroot%_emacslispdir/cedet/cogre
mkdir -p %buildroot%_emacslispdir/cedet/semantic/bovine
mkdir -p %buildroot%_emacslispdir/cedet/semantic/wisent
mkdir -p %buildroot%_emacslispdir/cedet/eieio
mkdir -p %buildroot%_emacslispdir/cedet/contrib

install -m 644 common/*.el* %buildroot/%_emacslispdir/cedet/common/
install -m 644 eieio/*.el* %buildroot/%_emacslispdir/cedet/eieio/
install -m 644 cogre/*.el* %buildroot/%_emacslispdir/cedet/cogre/
install -m 644 ede/*.el* %buildroot/%_emacslispdir/cedet/ede/
install -m 644 speedbar/*.el* %buildroot/%_emacslispdir/speedbar/
install -m 644 semantic/*.el* %buildroot/%_emacslispdir/cedet/semantic/
install -m 644 semantic/wisent/*.el* %buildroot/%_emacslispdir/cedet/semantic/wisent/
# install -m 644 semantic/wisent/*.wy %buildroot/%_emacslispdir/cedet/semantic/wisent/
install -m 644 semantic/bovine/*.el* %buildroot/%_emacslispdir/cedet/semantic/bovine/
#install -m 644 semantic/bovine/*.by %buildroot/%_emacslispdir/cedet/semantic/bovine/
install -m 644 contrib/*.el* %buildroot/%_emacslispdir/cedet/contrib/

install -m 644 common/icons/*.xpm %buildroot%_emacslispdir/cedet/common/icons
install -m 644 speedbar/*.xpm %buildroot%_emacslispdir/speedbar

mkdir -p %buildroot%_infodir
install -m 644 ede/*.info* %buildroot%_infodir
install -m 644 cogre/*.info* %buildroot%_infodir
install -m 644 eieio/*.info* %buildroot%_infodir
install -m 644 speedbar/*.info* %buildroot%_infodir
install -m 644 semantic/doc/*.info* %buildroot%_infodir

mkdir -p %buildroot%_emacs_sitestart_dir
install -m 644 %SOURCE1 %buildroot%_emacs_sitestart_dir/21cedet.el
cp eieio/NEWS eieio-NEWS

%post
%install_info ede.info
%install_info cogre.info
%install_info eieio.info
%install_info semantic.info

%preun
%uninstall_info ede.info
%uninstall_info cogre.info
%uninstall_info eieio.info
%uninstall_info semantic.info

%post speedbar
%install_info speedbar.info

%preun speedbar
%uninstall_info speedbar.info


%files
%doc INSTALL semantic/AUTHORS semantic/NEWS eieio-NEWS
%_infodir/*
%exclude %_infodir/speedbar.info*
%_emacslispdir/cedet
%_emacs_sitestart_dir/21cedet.el


%files speedbar
%_infodir/speedbar.info*
%_emacslispdir/speedbar


%changelog
* Sat Jun 16 2007 Eugene Vlasov <eugvv@altlinux.ru> 1.0-alt0.10.pre4
- 1.0pre4, speedbar version 1.0.1
- Removed fix for semantic-idle.el and semantic-analyze.el
- emacs-cedet-speedbar obsoletes emacs22-speedbar
- Added eieio-NEWS
- Removed ChangeLog files
- Added cedet/contrib
- Updated 21cedet.el, used (semantic-load-enable-gaudy-code-helpers)
- Used emacs22-X11 for build

* Sun Sep 24 2006 Eugene Vlasov <eugvv@altlinux.ru> 1.0-alt0.9.beta3b
- Fixed extraordinary CPU usage due to incorect work with latest emacs22
  timers, used semantic-idle.el and semantic-analyze.el from CVS
- Removed russian translation of summary and description
- Build with emacs-devel

* Sat Oct 01 2005 Eugene Vlasov <eugvv@altlinux.ru> 1.0-alt0.8.beta3b
- Build speedbar as separate package
- Removed load-path modification

* Mon Nov 01 2004 Ivan Fedorov <ns@altlinux.ru> 1.0-alt0.7.beta3b
- New release

* Tue Apr 13 2004 Ott Alex <ott@altlinux.ru> 1.0-alt0.7.beta2b
- New release

* Tue Mar 30 2004 Ott Alex <ott@altlinux.ru> 1.0-alt0.6.beta2a
- New beta version of Cedet

* Thu Feb 05 2004 Ott Alex <ott@altlinux.ru> 1.0-alt0.5.beta1c
- Fixing spec

* Tue Jan 06 2004 Ott Alex <ott@altlinux.ru> 1.0-alt0.4.beta1c
- Fixing bug with highlight unmatched syntax

* Sun Dec 14 2003 Ott Alex <ott@altlinux.ru> 1.0-alt0.3.beta1c
- Bug fix

* Sat Nov 15 2003 Ott Alex <ott@altlinux.ru> 1.0-alt0.2.beta1c
- New release

* Sun Nov 09 2003 Ott Alex <ott@altlinux.ru> 1.0-alt0.1.beta1
- New version

